Class | Chef::ReservedNames::Win32::Handle
In: | lib/chef/win32/handle.rb
Parent: | Object

### Methods

close_handle close_handle_finalizer new

### Constants

CURRENT_PROCESS_HANDLE | = | 4294967295 |  | See msdn.microsoft.com/en-us/library/windows/desktop/ms683179(v=vs.85).aspx The handle value returned by the GetCurrentProcess function is the pseudo handle (HANDLE)-1 (which is 0xFFFFFFFF)

### Attributes

handle | [R] |

### Public Class methods

close_handle(handle)
close_handle_finalizer(handle)
new(handle)

[Validate]